### Constructor

# Vte Pty new_foreign_sync

#### Declaration [src]

    VtePty*
    vte_pty_new_foreign_sync (
      int fd,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new `VtePty` for the PTY master `fd`.

No entry will be made in the lastlog, utmp or wtmp system files.

Note that the newly created `VtePty` will take ownership of `fd` and close it on finalize.

#### Parameters

`fd`

  Type: `int`

  A file descriptor to the PTY.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `VtePty`

A new `VtePty` for `fd`, or `NULL` on error with `error` filled in.

The caller of the function takes ownership of the data, and is responsible for freeing it.